Linie teilen

In diesem Forum Fragen und Diskussionen in Deutsch
Forum rules
Foren-Regeln und hilfreiche Informationen

WICHTIG: Bitte zuerst lesen, bevor Sie posten
freecad-heini-1
Posts: 5910
Joined: Tue Jan 07, 2014 11:10 am
Contact:

Re: Linie teilen

Postby freecad-heini-1 » Fri Oct 18, 2019 8:05 am

Mir fällt noch eine Lösung ein, mittels Techdraw-Workbench. Die Linie darstellen, Länge bemaßen, kosmetischen Punkt als Midpoint anzeigen lassen oder eine Centerline zwischen den beiden Endpunkten der Linie erzeugen, diese kann man exakt bemaßen, die Bemaßung ist vollparametrisch.
WerWieWas
Posts: 3
Joined: Thu Oct 17, 2019 12:26 pm

Re: Linie teilen

Postby WerWieWas » Fri Oct 18, 2019 12:00 pm

Danke für die Tipps. Ärgerlich, dass Freecad keine Fangfunktion hat. Das ist so als hätte man kein Wasser für den Kaffe und muss sich das Pulver mit der Spucke zerkauen...
chrisb
Posts: 18991
Joined: Tue Mar 17, 2015 9:14 am

Re: Linie teilen

Postby chrisb » Fri Oct 18, 2019 12:18 pm

Fangen spielen darfst Du in der Draft workbench - auch während Du den Kaffe kaust.
freecad-heini-1
Posts: 5910
Joined: Tue Jan 07, 2014 11:10 am
Contact:

Re: Linie teilen

Postby freecad-heini-1 » Fri Oct 18, 2019 12:44 pm

Könnte ein Error in Layer 8 sein ...
mario52
Posts: 2674
Joined: Wed May 16, 2012 2:13 pm

Re: Linie teilen

Postby mario52 » Fri Oct 18, 2019 2:17 pm

hi

(download by AddonManager)

Variante 5: Macro_Cut_Line

Image


Variante 6: Macro_FC_Convert_Lines
(example https://forum.freecadweb.org/viewtopic. ... 58#p341584)

Image


other Swiss knife

Variante 7: Macro_Dxf_To_Shape

mario
Maybe you need a special feature, go into Macros_recipes and Code_snippets, Dialog creation. My macros on Gist.github.
User avatar
Gift
Posts: 458
Joined: Tue Aug 18, 2015 10:08 am
Location: Germany, Sauerland

Re: Linie teilen

Postby Gift » Fri Oct 18, 2019 4:05 pm

Noch ein Script. Dieser erstellt ein Part::Vertex, dass dann auch die Achse der Linie enthält. Bei mehren ausgewählten Linien wird anschließend das Ergebnis gruppiert.

Code: Select all

import Part

doc = App.ActiveDocument
result = []

for sel in Gui.Selection.getSelectionEx():
    for sub in sel.SubObjects:
        if isinstance(sub, Part.Edge):
           if isinstance(sub.Curve, Part.Line):
              c = sub.CenterOfMass
              a = sub.Vertexes[0].Point.sub(sub.Vertexes[1].Point).normalize()
              v = doc.addObject('Part::Vertex', 'Vertex')
              v.X, v.Y, v.Z = c.x, c.y, c.z
              v.Placement = App.Placement(App.Vector(0,0,0),App.Rotation(a,0))
              result.append(v)

doc.recompute()
if len(result) > 1:
   grp = doc.addObject('Part::Compound','GrpPoints')
   grp.Links = result
   doc.recompute()